Bug 67252 - bash -x conditional expression primitive broken for root
Summary: bash -x conditional expression primitive broken for root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-21 15:30 UTC by Nate Pearlstein
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 16:39:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nate Pearlstein 2002-06-21 15:30:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020513
Netscape/7.0b1

Description of problem:
bash -x condtional expression primitive is broken for root
it tests true for files that don't have execute permission

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1./etc/auto.misc defaults to 644 permissions
2. AS root run, if [ -x /etc/auto.misc ]; echo "true" ; fi
3.
	

Actual Results:  # if [ -x /etc/auto.misc ]; echo "true" ; fi
true
#

Expected Results:  # if [ -x /etc/auto.misc ]; echo "true" ; fi
#

comamnd should have just returned

Additional info:

This bug seems to effectively break the auto.misc autofs map for autofs

Comment 1 Nate Pearlstein 2002-06-21 16:39:43 UTC
the bug seems to only occur on xfs filesystems
I suppose that means I need to tell the xfs people and not redhat.
Sorry

Comment 2 Bernhard Rosenkraenzer 2002-08-30 01:16:46 UTC
The workaround for bug #66562 in bash 2.05b-6 should fix this as well (though
xfs should be fixed as well).



Comment 3 Eric Sandeen 2002-08-30 01:48:41 UTC
FYI - This has been fixed in XFS as well.


Note You need to log in before you can comment on or make changes to this bug.